-- Role [Role]
create table `role` (
   `oid`  integer  not null,
   `rolename`  varchar(255),
  primary key (`oid`)
);


-- User [User]
create table `user` (
   `oid`  integer  not null,
   `username`  varchar(255),
   `password`  varchar(255),
   `email`  varchar(255),
   `token`  varchar(255),
   `token_expiration_date`  datetime,
   `secretkey`  varchar(255),
  primary key (`oid`)
);


-- Employee [cls1]
create table `employee` (
   `oid`  integer  not null,
   `role`  varchar(255),
   `birth_date`  date,
   `last_name`  varchar(255),
   `middle_name`  varchar(255),
   `first_name`  varchar(255),
  primary key (`oid`)
);


-- Company [cls2]
create table `company` (
   `vat_code`  integer  not null,
   `logo`  varchar(255),
   `phone_number`  varchar(255),
   `address`  varchar(255),
   `nationality`  varchar(255),
   `name`  varchar(255),
  primary key (`vat_code`)
);

-- Purchase [cls3]
create table `purchase` (
   `oid`  integer  not null,
   `date`  date,
   `note`  varchar(255),
  primary key (`oid`)
);

-- User_Role [User2Role_Role2User]
create table `user_role` (
   `user_oid`  integer not null,
   `role_oid`  integer not null,
  primary key (`user_oid`, `role_oid`)
);
alter table `user_role`   add index fk_user_role_user (`user_oid`), add constraint fk_user_role_user foreign key (`user_oid`) references `user` (`oid`);
alter table `user_role`   add index fk_user_role_role (`role_oid`), add constraint fk_user_role_role foreign key (`role_oid`) references `role` (`oid`);


